package jess;
import java.io.*;

/** **********************************************************************
 * A conflict resolution strategy. 
 *<P>
 * (C) 1997 Ernest J. Friedman-Hill and Sandia National Laboratories
 * @author Ernest J. Friedman-Hill
 ********************************************************************** */

class depth implements Strategy, Serializable {

    public int compare(Activation a1, Activation a2) {
        int s1 = a1.getRule().getSalience();
        int s2 = a2.getRule().getSalience();
        
        if (s1 != s2)
            return s2 - s1;
        
        int t1 = a1.getToken().getTime();
        int t2 = a2.getToken().getTime();
        return t2 - t1;
    }
    
    public String getName() { return "depth"; }
}
